Execute Blink Action
curl --request POST \
--url https://api.dial.to/v1/blink \
--header 'Content-Type: application/json' \
--header 'x-blink-client-key: <api-key>' \
--data '
{
"account": "<string>",
"data": {}
}
'import requests
url = "https://api.dial.to/v1/blink"
payload = {
"account": "<string>",
"data": {}
}
headers = {
"x-blink-client-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-blink-client-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({account: '<string>', data: {}})
};
fetch('https://api.dial.to/v1/blink', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"transaction": "<string>",
"message": "<string>",
"links": {
"next": {
"type": "<string>",
"href": "<string>"
}
},
"lifecycle": {
"executing": {
"message": "<string>"
},
"success": {
"message": "<string>",
"links": {
"actions": [
{
"type": "<string>",
"label": "<string>",
"link": "<string>"
}
]
}
},
"error": {
"message": "<string>"
}
}
}{
"message": "<string>"
}Blink
Execute Blink Action
Returns a ready-to-sign transaction
POST
/
v1
/
blink
Execute Blink Action
Authorizations
Client key to authorize requests.
Query Parameters
Blink API URL
Example:
"https://jito.dial.to/stake"
Body
application/json
Was this page helpful?
⌘I